2019-01-22 02:53 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000494NetSurf[All Projects] Generalpublic2015-03-10 10:37
ReporterChris Young 
Assigned ToVincent Sanders 
SeverityminorReproducibilityhave not tried 
StatusclosedResolutionfixed 
PlatformOSAmigaOS4OS Version
Product Version 
Target VersionFixed in Version3.1 
Summary0000494: Crash in nsgif_destroy on exit
DescriptionSometimes on exit NetSurf's GIF cleanup procedure will crash (appears to be accessing an invalid pointer)
r10903

It is somewhat random, requires browsing quite a few sites and only shows up if MemGuard active (using AmigaOS4 build)
Additional Informationchris_y added a note on Sun Oct 24 18:17:47 2010

Offsets in stack trace which might be useful:

8.Files:Projects/netsurf_svn/netsurf> a2l netsurf-cairo 0x91444
image/gif.c:195
8.Files:Projects/netsurf_svn/netsurf> a2l netsurf-cairo 0x3cd94
content/content.c:767
8.Files:Projects/netsurf_svn/netsurf> a2l netsurf-cairo 0x485c0
content/hlcache.c:401
8.Files:Projects/netsurf_svn/netsurf> a2l netsurf-cairo 0x479e4
content/hlcache.c:110


Imported from sourceforge bug http://sourceforge.net/support/tracker.php?aid=3094277 on Tue Dec 10 17:34:12 2013

TagsNo tags attached.
Fixed in CI build #
Reported in CI build #
URL of problem page
Attached Files

-Relationships
+Relationships

-Notes
Vincent Sanders

~0000102

Vincent Sanders (administrator)

I did think we fixed this long ago in libgif. Or is this another one you still see?
Chris Young

~0000142

Chris Young (developer)

I'm not immediately able to reproduce it, so I think it's probably fixed.
Vincent Sanders

~0000659

Vincent Sanders (administrator)

Confirmed fixed in 3.1 release
+Notes

-Issue History
Date Modified Username Field Change
2013-12-10 17:41 Vincent Sanders New Issue
2013-12-10 17:41 Vincent Sanders Status new => assigned
2013-12-10 17:41 Vincent Sanders Assigned To => Sourceforge Import placeholder
2013-12-20 23:24 Vincent Sanders Note Added: 0000102
2013-12-20 23:24 Vincent Sanders Assigned To Sourceforge Import placeholder =>
2013-12-20 23:24 Vincent Sanders Status assigned => feedback
2013-12-20 23:24 Vincent Sanders Resolution no change required => open
2013-12-20 23:24 Vincent Sanders OS => AmigaOS4
2013-12-20 23:24 Vincent Sanders Description Updated View Revisions
2013-12-20 23:24 Vincent Sanders Additional Information Updated View Revisions
2014-01-02 23:57 Chris Young Note Added: 0000142
2014-01-02 23:57 Chris Young Status feedback => new
2014-01-03 00:14 Vincent Sanders Status new => resolved
2014-01-03 00:14 Vincent Sanders Resolution open => fixed
2014-01-03 00:14 Vincent Sanders Fixed in Version => 3.1
2015-03-10 10:37 Vincent Sanders Note Added: 0000659
2015-03-10 10:37 Vincent Sanders Status resolved => closed
2015-03-10 10:37 Vincent Sanders Assigned To => Vincent Sanders
+Issue History